﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TileManagerChartResizeCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            double curr = 500;
            for (int i = 0; i < 1000; i++)
            {
                if (r.NextDouble() > .5)
                {
                    curr += r.NextDouble() * 3;
                }
                else
                {
                    curr -= r.NextDouble() * 3;
                }

                SampleData sd = new SampleData() { Label = "Lbl" + i.ToString(), Value = curr };
                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}
